API referenceLists
GET
/lists/{id}/leads

JavaScript SDK: swarmhit.lists.leads.list(listId, params?)

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created on the Access tokens page.

In: header

Path Parameters

id*string

Query Parameters

limit?integer

Page size, 1–100.

Range1 <= value <= 100
Default50
offset?integer

Number of records to skip.

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/lists/string/leads"
{  "data": [    {      "id": "string",      "firstName": "string",      "lastName": "string",      "headline": "string",      "jobTitle": "string",      "company": "string",      "email": "string",      "phone": "string",      "emailStatus": "bounced",      "emailOptOut": true,      "location": "string",      "picture": "string",      "notes": "string",      "profileUrl": "string",      "publicIdentifier": "string",      "openProfile": true,      "tags": [        "string"      ],      "autoTags": [        "string"      ],      "listIds": [        "string"      ],      "campaignIds": [        "string"      ],      "customVariables": {        "property1": "string",        "property2": "string"      },      "source": "string",      "lastActivityAt": "2019-08-24T14:15:22Z",      "enrichedAt": "2019-08-24T14:15:22Z",      "enrichment": {        "email": {          "status": "pending",          "at": "2019-08-24T14:15:22Z",          "reason": "no_credits"        },        "phone": {          "status": "pending",          "at": "2019-08-24T14:15:22Z",          "reason": "no_credits"        }      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "paging": {    "limit": 0,    "offset": 0  }}